Bug 310529 - Status is displayed as offline when contact list is opened
Summary: Status is displayed as offline when contact list is opened
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR minor
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-22 21:04 UTC by Daniele E. Domenichelli
Modified: 2013-01-04 14:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.5.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-11-22 21:04:30 UTC
When you open the contact list, for a few seconds it shows the status as "Offline", even in I am connected and I often try to change the status to online.
It should instead either show nothing, or a spinning wheel until the actual status is updated
Comment 1 Martin Klapetek 2013-01-04 14:17:33 UTC
Git commit 791d578b8565a07bead7a94b98dde06aed1bb6d2 by Martin Klapetek.
Committed on 04/01/2013 at 15:17.
Pushed by mklapetek into branch 'kde-telepathy-0.5'.

Don't show incorrect presence while everything is loading

Now it shows an empty combobox with the spinner spinning on it
before GlobalPresence is ready (then it changes the combo to
proper index).

Reviewed-by: David Edmundson
FIXED-IN: 0.5.3

M  +11   -1    global-presence-chooser.cpp

http://commits.kde.org/telepathy-contact-list/791d578b8565a07bead7a94b98dde06aed1bb6d2